print("LIFETIME: STARTING PLAYER DEATH DRAMA.")

local player = GetUpdatedEntityID()
local x, y = EntityGetTransform(player)
-- EntityConvertToMaterial(entity, "rotten_meat")

GamePlaySound( "data/audio/Desktop/event_cues.snd", "event_cues/midas/create", x, y )
GameScreenshake(100, x, y)

EntityAddComponent(player, "ParticleEmitterComponent", {
	emitted_material_name = "spark_yellow",
	-- gravity = { y = "0.0" },
	-- ["gravity.y"] = "0.0",
	lifetime_min = "5.5",
	lifetime_max = "25.5",
	count_min = "10",
	count_max = "20",
	render_on_grid = "1",
	fade_based_on_lifetime = "1",
	-- area_circle_radius = { max = "256" },
	-- ["area_circle_radius.max"] = "256",
	cosmetic_force_create = "0",
	airflow_force = "0.5",
	airflow_time = "0.01",
	airflow_scale = "0.05",
	attractor_force = "2",
	emission_interval_min_frames = "1",
	emission_interval_max_frames = "1",
	emit_cosmetic_particles = "1",
	is_emitting = "1"
})

EntityAddComponent(player, "ParticleEmitterComponent", {
	emitted_material_name = "gold",
	-- gravity = { y = "0.0" },
	-- ["gravity.y"] = "0.0",
	lifetime_min = "15.5",
	lifetime_max = "25.5",
	count_min = "1",
	count_max = "3",
	render_on_grid = "1",
	fade_based_on_lifetime = "1",
	-- area_circle_radius = { max = "256" },
	-- ["area_circle_radius.max"] = "256",
	cosmetic_force_create = "0",
	airflow_force = "0.5",
	airflow_time = "0.01",
	airflow_scale = "0.05",
	attractor_force = "2",
	emission_interval_min_frames = "1",
	emission_interval_max_frames = "1",
	emit_cosmetic_particles = "1"
})

local comps = EntityGetComponent(player, "ParticleEmitterComponent")
for _, comp in pairs(comps) do
	ComponentSetValueVector2(comp, "gravity", "0.0", "0.0")
	ComponentSetValueValueRange(comp, "area_circle_radius", "0", "256")
end

print("LIFETIME: INITIALISED DRAMATISATION.")

EntityAddComponent(player, "LuaComponent", {
	script_source_file = "mods/lifetimer/lifetimer_files/lifetimer_killplayer.lua",
	execute_every_n_frame = "180"
})

EntityAddComponent(player, "LifetimeComponent", { lifetime = "360" })
