-- Code stolen from http://modwork.shop/25747 and modified

if not async then
	dofile_once( "data/scripts/lib/coroutines.lua" )
end

dofile_once( "data/scripts/lib/utilities.lua" )
dofile_once("mods/lifetimer/lifetime.lua")

seconds = seconds + math.floor(frames / 60)
frames = frames % 60

minutes = minutes + math.floor(seconds / 60)
seconds = seconds % 60

hours = hours + math.floor(minutes / 60)
minutes = minutes % 60

local total_lifetime = hours * 216000 + minutes * 3600 + seconds * 60 + frames

-- In frames
local timeleft = -1

local gui = GuiCreate()
local gui_frame_func = function()
	GuiLayoutBeginVertical( gui, 50, 0 )
	
	seconds = math.floor(timeleft / 60)
	minutes = math.floor(seconds / 60)
	hours = math.floor(minutes / 60)
	seconds = seconds % 60
	minutes = minutes % 60
	
	GuiTextCentered(gui, 0, 8, string.format("%02d : %02d : %02d", hours, minutes, seconds))
	GuiLayoutEnd(gui)
end

async_loop(function()
	if StatsGetValue("dead") ~= "1" and not GameHasFlagRun("ending_game_completed") then
		local frame = GameGetFrameNum() - 10
		timeleft = math.max(0, total_lifetime - frame)
		if(timeleft == 60) then
			GamePrintImportant("YOUR TIME IS UP.", "")
		end
	end
	
	if gui ~= nil then
		GuiStartFrame(gui)
	end
	
	if gui_frame_func ~= nil then
		gui_frame_func()
	end
	
	wait(0)
end)
